
Things I keep telling everyone that I send this little demo to that I
always forget to write down:

 - The first screen it shows is a placeholder save selection
   screen. To start playing, just press Control, or pick a save game.

 - The controls for the main game are (as of this writing)...
     
   - Control - Shoot.
   - Alt - Jump.
   - Shift - Hold to throw a Molotov (use Left and Right to aim while
     this is held).
   - Escape - Quit.
   - Tab - Save selection screen.   
   - ~ - Editor toggle.

 - To bring up the editor, use the ~ (tilde) key.

   This also works as a debug system, allowing you to arbitrarily mess
   with anything in the level, and enter arbitrary Lua commands into
   the console. It's useful like this, but you should definitely load
   a level or create a new one before editing if you intend to work on
   content.

 - Avoid saving a map that you've played on.

   The save button works as a snapshot, saving the entire state of the
   area you have open. It's basically like a saved game, but only
   keeping track of the contents of the given level. If you play test
   your map and you kill all the bad guys and collect all the loot,
   then save the map, you will end up with a map with all the badguys
   dead and all the loot missing.

   MAP SAVES WORK THE SAME AS SAVED GAMES. Reload your map after
   testing!

 - Use the middle mouse button to drag the map around. This also works
   in the UI for anything in a scrollable area. Use it in the tile
   pane. It will save you trouble.

 - Until I create a real UI for save management, you need to manually
   go into the saves directory and delete the directory that
   corresponds to a save game to clear it out.

    - On Macs, this directory is actually inside the .app
      folder. Someone tell me a better place to put it, pretty please.

 - If the main character shows up as a huge white box, don't
   panic. Your graphics card just sucks and can't handle HUEG
   textures. It's also my fault for making the texture so huge (it's
   mostly empty space). It was a limitation of my sprite alignment
   system that I fixed, but I haven't fixed up the character sprites.

Command line parameters:

  --flushpoop 

      Extracts all the .poop files that in use. These contain all of
      the game content. While you can still load and edit stuff
      without extracting it, you cannot save stuff into the archives
      without the archiver tool (which is just part of the build
      process and makes the entire .poop file all at once).

	  Any data that exists in the file system will override any data
      inside the .poop file. So you may freely edit stuff after this
      and not worry about inserting it back into a .poop file.

  --disableshaders

      This will force shaders to be inactive. If the game is running
      painfully slow for you, it may be because the OpenGL driver has
      resorted to emulating shaders in software. Use this to turn it
      off. You'll miss out on any fancy effects, though.

  --nolight

      Disable lighting. This can be slow as hell on some older chips
      like the Intel 915 in my laptop. So use this option to speed
      stuff up a bit.

  --game <game name>

      If you've been super-adventurous, then you've figured out that
      the "games" directory inside the .poop files is probably meant
      to house more than simply "lily" and "common". If you specify a
      game name here, it'll use that directory instead of "lily" as
      the main game data directory and the save directory. "common" is
      always a fallback data directory.

  --override_editor_only_vis

      If you want to see invisible collision volumes and other hidden
      stuff that's only visible in the editor, and see them even when
      you're outside the editor, use this flag. Entities flagged as
      visible only in the editor will also be visible in game.

Building on Linux:

 - Ubuntu:

   You can ensure all the needed libraries are installed by running
   this command:

   sudo apt-get install pkg-config libvorbis-dev libogg-dev \
   libopenal-dev zlib1g-dev libglew1.5-dev liblua5.1-0-dev \
   libboost-thread-dev libglu1-mesa-dev libgl1-mesa-dev libsdl1.2-dev



